[ubuntu-ko] 새 scim-hangul을 테스트 해 주실 분을 찾습니다.

atie atie.at.matrix at gmail.com
Wed Mar 8 20:20:30 GMT 2006


>(snip)
>scim-hangul_0.2.1-1ubuntu1 이 레파지토리에 올랐으니 바로 업데이트가 될 겁니다.

>그런데, 한 가지 문제가 있습니다. 이 env 변수들을 자동 설정하는 이유 중의 하나는 language-support-ko가 설치가 되면 
>이제는 scim-hangul이 따라서 설치가 되므로 사용자들이 별도의 설정을 하지 않고도 한글 입력에 문제가 없게 하자는 것 입니다. 그
>런데 language-support-ko나 scim-hangul은 scim-gtk2-immodule에 의존을 하지 않습니다. 따라서, 설
>치 초기에는 scim-hangul을 xim 모드로 써야 합니다. scim-gtk2-immodule과(또는) scim-qtimm을 설치하게 
>되면 scim-hangul을 scim 모드로 쓸 수 있게 되는데, 현재 어느 패키지에 어떻게 의존을 걸어야 하는지가 골치 아픈 문제입니
다.

>scim-hangul_0.2.1-1ubuntu1에는 scim 모드가 우선이 되도록 정의를 하였는데 저 의존 문제를 해결치 못하면 xim 설
>정이 우선하도록 한 번 더 고쳐야 하는 형편입니다. 어떤 해결책이 있을지 제안을 부탁 드립니다. 그리고, 만약의 경우 
>scim-hangul을 xim으로 쓰게 되면 nabi에 비해 어떤 장단점이 있는지도 테스트 해 주실 분이 계셨으면 합니다.

scim-gtk2-immodule은 language-support-ko에, scim과 scim-gtk2-immodule은 
ubuntu-desktop에, skim과 scim-qtimm은 kubuntu-desktop에 각각 의존을 거는 것이 추가 되었습니다. 따라
서, language-support-ko와 우/쿠분투 데스크탑 패키지를 설치하는 대다수의 사용자들은 별다른 설정없이 scim 또는 skim
을 scim-hangul과 사용을 할 수 있으리라 봅니다. scim-hangul 관련에서는 이제 skim 지원을 위한 패키징을 하는 것이 
남은 듯 하군요.

혹 새로 대퍼를 설치하시는 분들은 위 사항을 감안하여 scim-hangul을 별다른 설정없이 사용할 수 있는지를 확인해 주시기 바랍니다.

(snip)

-- 
rgds,
Atie


More information about the ubuntu-ko mailing list